Subject: BioOrganic Growing Supplies

From: don <[email-masked]>
Date: 3 Jul 1996 18:27:48 GMT

For any of you who are interested in the newest biology-based (Organic) 
growing methods, we offer mycorrhizae inoculants (only source in the world 
for many species), trace-element volcanic minerals (75 elements), and a 
new Certified-Organic dry fish/blood/alfalfa/feather/potash fertilizer.  
We have trial-sizes and ship all over.  Search "mycorrhizae" on the Web to 
view research on this valuable beneficial microorganism.  Free catalog.

Don Chapman
Bio/Organics Supply Center
Camarillo CA
<http://www2.bio-organics.com/bio/>